Main Page Modules Data Structures File List Data Fields Globals Related Pages

# mp32barrett Struct Reference

`#include <mp32barrett.h>`

## Data Fields
uint32 | size
uint32 * | modl
uint32 * | mu

## Field Documentation

uint32* mp32barrett::modl

| Definition at line 38 of file mp32barrett.h. Referenced by dldp_pEqual, dldp_pgonGenerator_w, dldp_pgonMakeSafe, dldp_pgoqMakeSafe, dlpk_pgonValidate, dlpk_pgoqValidate, elgv1sign, elgv1vrfy, elgv3vrfy, mp32bcopy, mp32bfree, mp32binit, mp32binv_w, mp32bmod_w, mp32bmu_w, mp32bneg, mp32bpprime_w, mp32brnd_w, mp32brndinv_w, mp32brndodd_w, mp32bset, mp32bsethex, mp32bsubmod_w, mp32bsubone, mp32btwopowmod_w, mp32bzero, mp32pmilrab_w, mp32prnd_w, mp32prndconone_w, mp32prndsafe_w, pgpPrtPubkeyParams, rsakpMake, and rsapricrt.

uint32* mp32barrett::mu

| Definition at line 40 of file mp32barrett.h. Referenced by mp32bcopy, mp32bfree, mp32binit, mp32bmod_w, mp32bmu_w, mp32bset, mp32bsethex, and mp32bzero.

uint32 mp32barrett::size

| Definition at line 36 of file mp32barrett.h. Referenced by dldp_pEqual, dldp_pgonGenerator, dldp_pgonGenerator_w, dldp_pgoqGenerator, dldp_pgoqGenerator_w, dlpk_pgonValidate, dlpk_pgoqValidate, elgv1sign, elgv1vrfy, elgv3sign, elgv3vrfy, mp32baddmod_w, mp32bcopy, mp32bfree, mp32binit, mp32binv_w, mp32bmod_w, mp32bmu_w, mp32bmulmod_w, mp32bneg, mp32bnmulmod, mp32bnpowmod, mp32bnpowmodsld, mp32bnrnd, mp32bnsqrmod, mp32bpowmod_w, mp32bpowmodsld_w, mp32bpprime_w, mp32brnd_w, mp32brndinv_w, mp32brndodd_w, mp32bset, mp32bsethex, mp32bsqrmod_w, mp32bsubmod_w, mp32bsubone, mp32btwopowmod_w, mp32bzero, mp32pmilrab_w, mp32prndconone_w, pgpPrtPubkeyParams, rsapri, rsapricrt, and rsavrfy.

The documentation for this struct was generated from the following file:

- beecrypt/mp32barrett.h